CVE-2022-31045

Out-of-bounds Read in go/istio.io/istio

Identifiers

GHSA-xwx5-5c9g-x68x, CVE-2022-31045

Package Slug

go/istio.io/istio

Vulnerability

Out-of-bounds Read

Description

Istio is an open platform to connect, manage, and secure microservices. In affected versions ill-formed headers sent to Envoy in certain configurations can lead to unexpected memory access resulting in undefined behavior or crashing. Users are most likely at risk if they have an Istio ingress Gateway exposed to external traffic. This vulnerability has been resolved in versions 1.12.8, 1.13.5, and 1.14.1. Users are advised to upgrade. There are no known workarounds for this issue.

Affected Versions

All versions before 1.12.18, all versions starting from 1.13.0 before 1.13.5, all versions starting from 1.14.0 before 1.14.1

Solution

Upgrade to versions 1.12.18, 1.13.5, 1.14.1 or above.

Last Modified

2022-06-13

source